Linux repositories inspector

libudev-dev - libudev development files

This package contains the files needed for developing applications that use libudev.
241
Debian iconDebian 10.0
Debian iconDebian 9.0
240
Ubuntu iconUbuntu 19.04
239
Ubuntu iconUbuntu 18.10
237
Ubuntu iconUbuntu 18.04 LTS
234
Ubuntu iconUbuntu 17.10
232
Debian iconDebian 9.0
229
Ubuntu iconUbuntu 16.04 LTS
DistributionVersionSincePackageInstalledPackager
Debian iconDebian 10.0 buster/maindeb241-310.04.2019105 kiB195 kiB
Debian iconDebian 9.0 stretch/maindeb232-25+deb9u816.02.201989.6 kiB180 kiB
Debian iconDebian 9.0 stretch-backports/maindeb241-1~bpo9+110.03.2019104 kiB194 kiB
Debian iconDebian 9.0 stretch-proposed-updates/maindeb232-25+deb9u1005.04.201990.1 kiB180 kiB
Ubuntu iconUbuntu 17.10 artful/maindeb234-2ubuntu1210.11.201718.5 kiB183 kiB
Ubuntu iconUbuntu 17.10 artful-security/maindeb234-2ubuntu12.110.11.201718.5 kiB183 kiB
Ubuntu iconUbuntu 17.10 artful-updates/maindeb234-2ubuntu12.412.06.201818.5 kiB184 kiB
Ubuntu iconUbuntu 18.04 LTS bionic/maindeb237-3ubuntu1012.06.201818.6 kiB190 kiB
Ubuntu iconUbuntu 18.04 LTS bionic-proposed/maindeb237-3ubuntu10.2008.04.201918.6 kiB193 kiB
Ubuntu iconUbuntu 18.04 LTS bionic-security/maindeb237-3ubuntu10.1908.04.201918.6 kiB192 kiB
Ubuntu iconUbuntu 18.04 LTS bionic-updates/maindeb237-3ubuntu10.1908.04.201918.6 kiB192 kiB
Ubuntu iconUbuntu 18.10 cosmic/maindeb239-7ubuntu1014.01.201918.5 kiB195 kiB
Ubuntu iconUbuntu 18.10 cosmic-proposed/maindeb239-7ubuntu10.1308.04.201918.5 kiB197 kiB
Ubuntu iconUbuntu 18.10 cosmic-security/maindeb239-7ubuntu10.1208.04.201918.5 kiB197 kiB
Ubuntu iconUbuntu 18.10 cosmic-updates/maindeb239-7ubuntu10.1208.04.201918.5 kiB197 kiB
Ubuntu iconUbuntu 19.04 disco/maindeb240-6ubuntu410.04.201918.6 kiB209 kiB
Ubuntu iconUbuntu 16.04 LTS xenial/maindeb229-4ubuntu410.11.2017145 kiB520 kiB
Ubuntu iconUbuntu 16.04 LTS xenial-security/maindeb229-4ubuntu21.2108.04.2019147 kiB529 kiB
Ubuntu iconUbuntu 16.04 LTS xenial-updates/maindeb229-4ubuntu21.2108.04.2019147 kiB529 kiB

Manual pages

libudev(3)

libudev - API for enumerating and introspecting local devices

udev_device_new_from_syspath(3)

udev_device_new_from_syspath, udev_device_new_from_devnum, udev_device_new_from_subsystem_sysname, udev_device_new_from_device_id, udev_device_new_from_environment, udev_device_ref, udev_device_unref - Create, acquire and release a udev device object

udev_enumerate_new(3)

udev_enumerate_new, udev_enumerate_ref, udev_enumerate_unref - Create, acquire and release a udev enumerate object

udev_enumerate_scan_devices(3)

udev_enumerate_scan_devices, udev_enumerate_scan_subsystems, udev_enumerate_get_list_entry, udev_enumerate_add_syspath, udev_enumerate_get_udev - Query or modify a udev enumerate object

udev_list_entry(3)

udev_list_entry, udev_list_entry_get_next, udev_list_entry_get_by_name, udev_list_entry_get_name, udev_list_entry_get_value - Iterate and access udev lists

udev_monitor_filter_update(3)

udev_monitor_filter_update, udev_monitor_filter_remove, udev_monitor_filter_add_match_subsystem_devtype, udev_monitor_filter_add_match_tag - Modify filters

udev_monitor_new_from_netlink(3)

udev_monitor_new_from_netlink, udev_monitor_ref, udev_monitor_unref - Create, acquire and release a udev monitor object

udev_monitor_receive_device(3)

udev_monitor_receive_device, udev_monitor_enable_receiving, udev_monitor_set_receive_buffer_size, udev_monitor_get_fd, udev_monitor_get_udev - Query and modify device monitor

udev_new(3)

udev_new, udev_ref, udev_unref - Create, acquire and release a udev context object

Latest updates

Debian 10.0 icon

Debian 10.0 buster/main: Updated from 241-1 to 241-3

10.04.2019 17:07
Michael Biebl
  • Drop systemd-shim alternative from libpam-systemd.
    A fixed systemd-shim package which works with newer versions of systemd is unlikely to happen given that the systemd-shim package has been removed from the archive. Drop the alternative dependency from libpam-systemd accordingly.
  • Properly remove duplicate directories from systemd package. When removing duplicate directories from the systemd package, sort the list of directories in reverse order so we properly delete nested directories.
  • udev: Run programs in the specified order (Closes: #925190)
  • bash-completion: Use default completion for redirect operators (Closes: #924541)
  • networkd: Clarify that IPv6 RA uses our own stack, no the kernel's (Closes: #815582)
  • Revert "Drop systemd-timesyncd.service.d/disable-with-time-daemon.conf" Apparently Conflicts= are not a reliable mechanism to ensure alternative NTP implementations take precedence over systemd-timesyncd. (Closes: #902026)
  • network: Fix routing policy rule issue.
    When multiple links request a routing policy, make sure they are all applied correctly. (Closes: #924406)
  • pam-systemd: Use secure_getenv() rather than getenv() Fixes a vulnerability in the systemd PAM module which insecurely uses the environment and lacks seat verification permitting spoofing an active session to PolicyKit. (CVE-2019-3842)
Martin Pitt
  • Enable udev autopkgtest in containers.
    This test doesn't actually need udev.service (which is disabled in containers) and works fine in LXC.
  • Enable boot-and-service autopkgtest in containers
    • Skip tests which can't work in containers.
    • Add missing rsyslog test dependency.
    • e2scrub_reap.service fails in containers, ignore (filed as #926138)
    • Relax pgrep pattern for gdm, as there's no wayland session in containers.
Ubuntu 19.04 icon

Ubuntu 19.04 disco-proposed/main: Version 240-6ubuntu4 removed

10.04.2019 14:39
Ubuntu 19.04 icon

Ubuntu 19.04 disco/main: Updated from 240-6ubuntu3 to 240-6ubuntu4

10.04.2019 14:36
See package libudev1
Ubuntu 19.04 icon

Ubuntu 19.04 disco-proposed/main: Version 240-6ubuntu4 introduced

10.04.2019 08:45
See package libudev1
Ubuntu 18.04 LTS icon

Ubuntu 18.04 LTS bionic-proposed/main: Version 237-3ubuntu10.20 introduced

08.04.2019 15:45
See package libudev1
Ubuntu 18.10 icon

Ubuntu 18.10 cosmic-proposed/main: Version 239-7ubuntu10.13 introduced

08.04.2019 15:25
See package libudev1
Ubuntu 18.10 icon

Ubuntu 18.10 cosmic-updates/main: Updated from 239-7ubuntu10.11 to 239-7ubuntu10.12

08.04.2019 09:30
See package libudev1
Ubuntu 16.04 LTS icon

Ubuntu 16.04 LTS xenial-updates/main: Updated from 229-4ubuntu21.19 to 229-4ubuntu21.21

08.04.2019 09:30
See package libudev1
Ubuntu 18.04 LTS icon

Ubuntu 18.04 LTS bionic-updates/main: Updated from 237-3ubuntu10.17 to 237-3ubuntu10.19

08.04.2019 09:25
See package libudev1
Ubuntu 16.04 LTS icon

Ubuntu 16.04 LTS xenial-security/main: Updated from 229-4ubuntu21.16 to 229-4ubuntu21.21

08.04.2019 08:30
See package libudev1
Ubuntu 18.04 LTS icon

Ubuntu 18.04 LTS bionic-security/main: Updated from 237-3ubuntu10.13 to 237-3ubuntu10.19

08.04.2019 08:15
See package libudev1
Ubuntu 18.10 icon

Ubuntu 18.10 cosmic-security/main: Updated from 239-7ubuntu10.8 to 239-7ubuntu10.12

08.04.2019 07:35
See package libudev1
Ubuntu 18.10 icon

Ubuntu 18.10 cosmic-proposed/main: Version 239-7ubuntu10.11 removed

06.04.2019 01:55
Ubuntu 18.04 LTS icon

Ubuntu 18.04 LTS bionic-proposed/main: Version 237-3ubuntu10.17 removed

06.04.2019 01:50
Ubuntu 16.04 LTS icon

Ubuntu 16.04 LTS xenial-proposed/main: Version 229-4ubuntu21.19 removed

06.04.2019 01:25
Debian 9.0 icon

Debian 9.0 stretch-proposed-updates/main: Updated from 232-25+deb9u9 to 232-25+deb9u10

05.04.2019 05:18
  • journald: fix assertion failure on journal_file_link_data (Closes: #916880)
  • tmpfiles: fix "e" to support shell style globs (Closes: #918400)
  • mount-util: accept that name_to_handle_at() might fail with EPERM. Container managers frequently block name_to_handle_at(), returning EACCES or EPERM when this is issued. Accept that, and simply fall back to fdinfo-based checks. (Closes: #917122)
  • automount: ack automount requests even when already mounted. Fixes a race condition in systemd which could result in automount requests not being serviced and processes using them to hang, causing denial of service. (CVE-2018-1049)
  • core: when deserializing state always use read_line(…, LONG_LINE_MAX, …) Fixes improper serialization on upgrade which can influence systemd execution environment and lead to root privilege escalation. (CVE-2018-15686, Closes: #912005)
Ubuntu 16.04 LTS icon

Ubuntu 16.04 LTS xenial-updates/main: Updated from 229-4ubuntu21.17 to 229-4ubuntu21.19

04.04.2019 13:25
See package libudev1
Ubuntu 18.10 icon

Ubuntu 18.10 cosmic-updates/main: Updated from 239-7ubuntu10.10 to 239-7ubuntu10.11

04.04.2019 13:20
See package libudev1
Ubuntu 18.04 LTS icon

Ubuntu 18.04 LTS bionic-updates/main: Updated from 237-3ubuntu10.15 to 237-3ubuntu10.17

04.04.2019 13:00
See package libudev1
Ubuntu 16.04 LTS icon

Ubuntu 16.04 LTS xenial-proposed/main: Version 229-4ubuntu21.19 introduced

25.03.2019 15:15
See package libudev1
⇧ Top